<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Auth;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    public function redirectTo()
    {
        switch (Auth::user()->lessi_role){
            case 1:
                $this->redirectTo = route('super_admin.dashboard');
                return $this->redirectTo;
                break;
            case 2:
                $this->redirectTo = route('admin.dashboard');
                return $this->redirectTo;
                break;
            case 3:
                $this->redirectTo = route('agent.dashboard');
                return $this->redirectTo;
                break;
            case 4:
                $this->redirectTo = route('employ.dashboard');
                return $this->redirectTo;
                break;
            case 5:
                $this->redirectTo = route('student.dashboard');
                return $this->redirectTo;
                break;
            default:
                $this->redirectTo = route('login');
                return $this->redirectTo;
                break;
        }
    }

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }
}
