<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Student extends Model

{
    
    protected $fillable = ['user_id','name','nationality','reference'];

    public function eng_test()
    {
        return $this->hasOne('App\StudentEnglishProficiency');
    }

    public function users()
    {
        return $this->belongsTo('App\User','user_id');
    }

    public function studentApplication()
    {
        return $this->hasOne('App\Application');
    }

    public function student_education()
    {
        return $this->hasMany('App\StudentEducation');
    }

    public function student_additional_education()
    {
        return $this->hasMany('App\StudentAdditionalEducation');
    }

    public function employment_history()
    {
        return $this->hasMany('App\StudentEmployment');
    }
}
