<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProgramsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('programs', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('fee');
            $table->string('requirement_text');
            $table->string('link');
            $table->unsignedBigInteger('degree_category_id');
            $table->unsignedBigInteger('institute_id');
            $table->unsignedBigInteger('program_category_id');

            $table->foreign('degree_category_id')
                ->references('id')
                ->on('degree_types');
            $table->foreign('institute_id')
                ->references('id')
                ->on('institutes');
            $table->foreign('program_category_id')
                ->references('id')
                ->on('program_categories');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('programs');
    }
}
