<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateIntakeProgramsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('intake_programs', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('intake_id');
            $table->unsignedBigInteger('program_id');

            $table->foreign('intake_id')
                ->references('id')
                ->on('intakes');
            $table->foreign('program_id')
                ->references('id')
                ->on('programs');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('intake_programs');
    }
}
