<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStudentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('students', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id');
            $table->foreign('user_id')->references('id')->on('users');
            $table->unsignedBigInteger('reference')->nullable();
            $table->foreign('reference')->references('id')->on('users');
            $table->string('name',50);
            $table->date('dob')->nullable();
            $table->integer('gender')->nullable();
            $table->string('residence_ship')->nullable();
            $table->string('nationality');
            $table->string('passport_no')->nullable();
            $table->string('image_url')->nullable();
            $table->string('address')->nullable();
            $table->string('city')->nullable();
            $table->string('po_box')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('students');
    }
}
