<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateApplicationMicrosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('application_micros', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('application_id');
            $table->unsignedBigInteger('intake_program_id')->nullable();
            $table->unsignedBigInteger('program_time_type_id')->nullable();
            $table->unsignedBigInteger('program_id');
            $table->string('loa',500)->nullable();
            $table->integer('status')->default(1);

            $table->foreign('application_id')
                ->references('id')
                ->on('applications');

            $table->foreign('intake_program_id')
                ->references('id')
                ->on('intake_programs');

            $table->foreign('program_time_type_id')
                ->references('id')
                ->on('program_time_types');

            $table->foreign('program_id')
                ->references('id')
                ->on('programs');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('application_micros');
    }
}
