<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStudentEnglishProficienciesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('student_english_proficiencies', function (Blueprint $table) {
            $table->id();
            $table->float('reading');
            $table->float('listening');
            $table->float('speaking');
            $table->float('writing');

            $table->unsignedBigInteger('english_test_id');
            $table->unsignedBigInteger('student_id');

            $table->foreign('english_test_id')
                ->references('id')
                ->on('english_tests');
            $table->foreign('student_id')
                ->references('id')
                ->on('students');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('student_english_proficiencies');
    }
}
