<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProgramEnglishProficienciesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('program_english_proficiencies', function (Blueprint $table) {
            $table->id();
            $table->integer('reading')->nullable();
            $table->integer('listening')->nullable();
            $table->integer('speaking')->nullable();
            $table->integer('writing')->nullable();

            $table->unsignedBigInteger('english_test_id');
            $table->unsignedBigInteger('program_id');

            $table->foreign('english_test_id')
                ->references('id')
                ->on('english_tests');
            $table->foreign('program_id')
                ->references('id')
                ->on('programs');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('program_english_proficiencies');
    }
}
