<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateApplicationsMicrosCampusesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('applications_micros_campuses', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('application_micro_id');
            $table->unsignedBigInteger('campus_id');

            $table->foreign('application_micro_id')->references('id')->on('application_micros');
            $table->foreign('campus_id')->references('id')->on('institute_campuses');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('applications_micros_campuses');
    }
}
