<?php

use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        // $this->call(UserSeeder::class);

//        Adding Countries
        \App\Country::create(['name' => 'America']);
        \App\Country::create(['name' => 'China']);
        \App\Country::create(['name' => 'Canada']);


//        Adding Institutes
        \App\Institute::create(['name'=>'Oxford','country_id'=>1]);
        \App\Institute::create(['name'=>'Tsinghua','country_id'=>2]);
        \App\Institute::create(['name'=>'University of Toronto','country_id'=>3]);


//        Adding Provinces
        \App\Province::create(['name'=>'Ontorio']);

//        Adding Institutes Campuses

        \App\InstituteCampus::create(['institute_id'=>1,'campus_name'=>'Aviation Campus','province_id'=>1]);

        \App\InstituteCampus::create(['institute_id'=>2,'campus_name'=>'Stanford-Mississauga','province_id'=>1]);
        \App\InstituteCampus::create(['institute_id'=>2,'campus_name'=>'Stanford-Scarborough','province_id'=>1]);
        \App\InstituteCampus::create(['institute_id'=>2,'campus_name'=>'College Drive Campus','province_id'=>1]);
        \App\InstituteCampus::create(['institute_id'=>2,'campus_name'=>'Stanford-Brampton','province_id'=>1]);

        \App\InstituteCampus::create(['institute_id'=>3,'campus_name'=>'Stanford-Mississauga','province_id'=>1]);
        \App\InstituteCampus::create(['institute_id'=>3,'campus_name'=>'Stanford-Scarborough','province_id'=>1]);
        \App\InstituteCampus::create(['institute_id'=>3,'campus_name'=>'College Drive Campus','province_id'=>1]);
        \App\InstituteCampus::create(['institute_id'=>3,'campus_name'=>'Stanford-Brampton','province_id'=>1]);


//        Adding Degree Types
        $degreeTypes = [
            "Bachelor's degree",
            "Master's degree",
            "PhD / Doctorate",
            "Cross-faculty graduate and research school",
            "Prep course",
            "Language course",
            "Short course",
            "Study online"
        ];
        for ( $i = 0; $i < count($degreeTypes); $i++ )
        {
            \App\DegreeType::create(['name'=>$degreeTypes[$i],'priority'=>1]);
        }

//        Adding Programs Category
        $programCategory = [
            'Aviation and AroSpace Technology',
            'Business and Entrepreneurship',
            'Business and Information Technology'
        ];
        for ( $i = 0; $i < count($programCategory); $i++ )
        {
            \App\ProgramCategory::create(['name'=>$programCategory[$i]]);
        }


//      Adding English Test
        \App\EnglishTest::create(['name'=>'IELTS']);
        \App\EnglishTest::create(['name'=>'CELPIP']);
        \App\EnglishTest::create(['name'=>'PTE']);

//        Adding Programs

//        $programNames = ['Medical science','Engineering','Computer science','Business Management','Law'];

        \App\Program::create([
            'name' => 'Aircraft Structural Repair Technician (one year certificate)',
            'fee' => 'Domestic: $4393   /  Internations : $16553',
            'requirement_text' => 'OSSD or equivalent, ENG4C or ENG4U, Grade 12 Math (C), (U) or (M)',
            'link' => 'https://www.goog.com',
            'degree_category_id' => 3,
            'institute_id' => 1,
            'program_category_id' => 1
        ]);

        \App\Program::create([
            'name' => 'Business Management',
            'fee' => 'Domestic: $4802.02/ Internationals: $14196.69 / $13805.97',
            'requirement_text' => 'Applicants must be a graduate (college, university or degree program)',
            'link' => 'https://www.goog.com',
            'degree_category_id' => 1,
            'institute_id' => 2,
            'program_category_id' => 1
        ]);

        \App\Program::create([
            'name' => 'Business Analytics – Graduate Certificate',
            'fee' => 'Domestic: $7000.02/ Internationals: $22000',
            'requirement_text' => 'abc...',
            'link' => 'https://www.goog.com',
            'degree_category_id' => 1,
            'institute_id' => 3,
            'program_category_id' => 1
        ]);


//        Adding Programs in campuses
        \App\CampusProgram::create(['campus_id'=>1,'program_id'=>1]);

        \App\CampusProgram::create(['campus_id'=>2,'program_id'=>2]);
        \App\CampusProgram::create(['campus_id'=>3,'program_id'=>2]);
        \App\CampusProgram::create(['campus_id'=>4,'program_id'=>2]);
        \App\CampusProgram::create(['campus_id'=>5,'program_id'=>2]);

        \App\CampusProgram::create(['campus_id'=>6,'program_id'=>3]);
        \App\CampusProgram::create(['campus_id'=>7,'program_id'=>3]);
        \App\CampusProgram::create(['campus_id'=>8,'program_id'=>3]);
        \App\CampusProgram::create(['campus_id'=>9,'program_id'=>3]);

//        Adding Intakes
        \App\Intake::create(['name'=>'January']);
        \App\Intake::create(['name'=>'September']);
        \App\Intake::create(['name'=>'Winter/Fall']);

//        Setting Programs Intakes
        \App\IntakeProgram::create(['intake_id' => 1,'program_id' => 1]);

        \App\IntakeProgram::create(['intake_id' => 1,'program_id' => 2]);
        \App\IntakeProgram::create(['intake_id' => 2,'program_id' => 2]);

        \App\IntakeProgram::create(['intake_id' => 3,'program_id' => 3]);


        //        Adding Program Types
        \App\ProgramTimeType::create(['name'=>'Full Time']);
        \App\ProgramTimeType::create(['name'=>'Part Time']);

        \App\ProgramProgramTimeType::create(['program_id' => 1,'program_time_type_id' => 1]);

        \App\ProgramProgramTimeType::create(['program_id' => 2,'program_time_type_id' => 1]);

        \App\ProgramProgramTimeType::create(['program_id' => 3,'program_time_type_id' => 1]);
        \App\ProgramProgramTimeType::create(['program_id' => 3,'program_time_type_id' => 2]);

    }
}
