@extends('layouts.app')

@section('title','Lessi | Login')

@section('content')
    @if(Session::has('msg'))
        <div class="container-fluid position-fixed" style="bottom: 30px;" id="notify">
            <div class="toast show m-auto bg-warning" role="alert" aria-live="assertive" aria-atomic="true">
                <div class="toast-header">
                    <strong class="mr-auto">Notification</strong>
                    <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
                        <span aria-hidden="true" onclick="$('#notify').fadeOut();">&times;</span>
                    </button>
                </div>
                <div class="toast-body text-center">
                    Your application submit successfully.<br>
                    Please login to continue process.<br>
                    Password is sent to your email.
                </div>
            </div>
        </div>
    @endif
<div class="container">
        <div class="row">
            <div class="col-lg-6 login-side-img d-flex flex-column justify-content-center align-items-center">
                <h5 class="mb-5 heading">Welcome Back</h5>
                <img src="{{asset('img/humaaans.png')}}" alt="" width="200px">
                <p class="text-center">Don't have an account? <br> <a href="{{ route('register') }}" >Sign Up</a></p>
                <p class="text-center"><a href="password/reset" >forgot your password?</a></p>
            </div>
            <div class="col-lg-6 form-container d-flex flex-column align-items-center">
                <h3 class="text-center mb-5 mt-5 heading">Login</h3>
                <form action="{{ route('login') }}" method="POST" class="form">
                    @csrf
                    <div class="form-group">
                        <label>Email address</label>
                        <input type="email" name="email" required value="{{ old('email') }}" class="form-control" placeholder="Email">
                        @error('email')
                        <span class="text-danger">{{ $message }}</span>
                        @enderror
                    </div>
                    <div class="form-group">
                        <label for="exampleInputPassword1">Password</label>
                        <input type="password" name="password" required value="{{ old('password') }}" class="form-control" id="exampleInputPassword1" placeholder="Password">
                    </div>
                    <div class="form-check mt-4">
                        <input type="checkbox" name="remember" {{ old('remember') ? 'checked' : '' }} class="form-check-input" id="exampleCheck1">
                        <label class="form-check-label" for="exampleCheck1">Remember me</label>
                    </div>
                    <button type="submit" class="btn btn-basic mt-4 w-100">Log-In</button>
                </form>
            </div>
        </div>
    </div>
{{--<div class="container">--}}
{{--    <div class="row justify-content-center">--}}
{{--        <div class="col-md-8">--}}
{{--            <div class="card">--}}
{{--                <div class="card-header">{{ __('Login') }}</div>--}}

{{--                <div class="card-body">--}}
{{--                    <form method="POST" action="{{ route('login') }}">--}}
{{--                        @csrf--}}

{{--                        <div class="form-group row">--}}
{{--                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('E-Mail Address') }}</label>--}}

{{--                            <div class="col-md-6">--}}
{{--                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>--}}

{{--                                @error('email')--}}
{{--                                    <span class="invalid-feedback" role="alert">--}}
{{--                                        <strong>{{ $message }}</strong>--}}
{{--                                    </span>--}}
{{--                                @enderror--}}
{{--                            </div>--}}
{{--                        </div>--}}

{{--                        <div class="form-group row">--}}
{{--                            <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('Password') }}</label>--}}

{{--                            <div class="col-md-6">--}}
{{--                                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">--}}

{{--                                @error('password')--}}
{{--                                    <span class="invalid-feedback" role="alert">--}}
{{--                                        <strong>{{ $message }}</strong>--}}
{{--                                    </span>--}}
{{--                                @enderror--}}
{{--                            </div>--}}
{{--                        </div>--}}

{{--                        <div class="form-group row">--}}
{{--                            <div class="col-md-6 offset-md-4">--}}
{{--                                <div class="form-check">--}}
{{--                                    <input class="form-check-input" type="checkbox" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>--}}

{{--                                    <label class="form-check-label" for="remember">--}}
{{--                                        {{ __('Remember Me') }}--}}
{{--                                    </label>--}}
{{--                                </div>--}}
{{--                            </div>--}}
{{--                        </div>--}}

{{--                        <div class="form-group row mb-0">--}}
{{--                            <div class="col-md-8 offset-md-4">--}}
{{--                                <button type="submit" class="btn btn-primary">--}}
{{--                                    {{ __('Login') }}--}}
{{--                                </button>--}}

{{--                                @if (Route::has('password.request'))--}}
{{--                                    <a class="btn btn-link" href="{{ route('password.request') }}">--}}
{{--                                        {{ __('Forgot Your Password?') }}--}}
{{--                                    </a>--}}
{{--                                @endif--}}
{{--                            </div>--}}
{{--                        </div>--}}
{{--                    </form>--}}
{{--                </div>--}}
{{--            </div>--}}
{{--        </div>--}}
{{--    </div>--}}
{{--</div>--}}
@endsection
