@extends('layouts.app')

@section('content')
<div class="container">
        <div class="row">
            <div class="col-lg-6 login-side-img d-flex flex-column justify-content-center align-items-center">
                <h5 class="mb-5 heading">Become a memeber</h5>
                <img src="{{asset('img/humaaansSignUp.png')}}" alt="" width="320px">
                <p class="text-center mt-5">Go back to login. <br> <a href="{{ route('login') }}" >Login</a></p>
            </div>
            <div class="col-lg-6 form-container d-flex flex-column align-items-center">
                <h3 class="text-center mb-5 mt-5 heading">Register</h3>
                <form method="POST" class="form"
                      @if(isset($role_id))
                          @if($role_id == 4)
                          action="{{ route('student.registration') }}"
                          @endif
                      @else
                      action="{{ route('register') }}"
                      @endif
                >
                    @csrf
                    <div class="form-group">
                        <label>Full Name</label>
                        @if(Session::has('find_programs'))
                            <input id="name" type="text" placeholder="Full Name" class="form-control @error('name') is-invalid @enderror" name="name" value="{{ old('name',Session::get('find_programs')['full_name'] ? Session::get('find_programs')['full_name'] : "")}}"  autocomplete="name" autofocus>
                        @else
                            <input id="name" type="text" placeholder="Full Name" class="form-control @error('name') is-invalid @enderror" name="name" value="{{ old('name')}}"  autocomplete="name" autofocus>
                        @endif
                        @error('name')
                        <span class="text-danger">{{ $message }} </span>
                        @enderror
                    </div>
                    <div class="form-group">
                        <label for="exampleInputEmail1">Email address</label>
                        @if(Session::has('find_programs'))
                            <input id="email" type="email" placeholder="Email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email',Session::get('find_programs')['email'] ? Session::get('find_programs')['email'] : "") }}"  autocomplete="email">
                        @else
                            <input id="email" type="email" placeholder="Email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}"  autocomplete="email">
                        @endif
                        @error('email')
                        <span class="text-danger">{{ $message }} </span>
                        @enderror
                    </div>

                    <div class="form-row">
                        <div class="col-6">
                            <div class="form-group">
                                <label>Password</label>
                                <input type="password" name="password" class="form-control" id="exampleInputPassword1" placeholder="Password">
                                @error('password')
                                <span class="text-danger">{{ $message }} </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label>Confirm</label>
                                <input type="password" name="password_confirmation" class="form-control" placeholder="Password">
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label>Phone Number</label>
                        @if(Session::has('find_programs'))
                            <input id="contact" type="text" placeholder="Phone Number" class="form-control @error('contact_no') is-invalid @enderror" name="contact_no" value="{{ old('contact_no',Session::get('find_programs')['contact_no'] ? Session::get('find_programs')['contact_no'] : "") }}"  autocomplete="contact_no">
                        @else
                            <input id="contact" type="text" placeholder="Phone Number" class="form-control @error('contact_no') is-invalid @enderror" name="contact_no" value="{{ old('contact_no') }}"  autocomplete="contact_no">
                        @endif
                        @error('contact_no')
                        <span class="text-danger">{{ $message }} </span>
                        @enderror
                    </div>
                    @isset($role_id)
                        <div class="form-group">
                            <label>Reference</label>
                            <input type="text" name="reference" class="form-control" placeholder="Reference">
                            @error('reference')
                            <span class="text-danger">{{ $message }} </span>
                            @enderror
                        </div>
                    @endisset
                    <div class="form-check mt-4">
                        <input type="checkbox" class="form-check-input" id="exampleCheck1">
                        <label class="form-check-label" for="exampleCheck1">I accept the <a href=""> Terms </a>and <a href=""> policies </a></label>
                    </div>
                    <button type="submit" class="btn btn-basic mt-4 w-100">Sign Up</button>
                </form>
            </div>
        </div>
    </div>




{{--<div class="container">--}}
{{--    <div class="row justify-content-center">--}}
{{--        <div class="col-md-8">--}}
{{--            <div class="card">--}}
{{--                <div class="card-header">{{ __('Register') }}</div>--}}

{{--                <div class="card-body">--}}
{{--                    <form method="POST"--}}
{{--                          @if(isset($role_id))--}}
{{--                            @if($role_id == 4)--}}
{{--                                action="{{ route('student.registration') }}"--}}
{{--                            @endif--}}
{{--                          @else--}}
{{--                          action="{{ route('register') }}"--}}
{{--                          @endif--}}
{{--                    >--}}
{{--                        @csrf--}}

{{--                        <div class="form-group row">--}}
{{--                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Name') }}</label>--}}

{{--                            <div class="col-md-6">--}}
{{--                                @if(Session::has('find_programs'))--}}
{{--                                    <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="name" value="{{ old('name',Session::get('find_programs')['full_name'] ? Session::get('find_programs')['full_name'] : "")}}" required autocomplete="name" autofocus>--}}
{{--                                @else--}}
{{--                                    <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="name" value="{{ old('name')}}" required autocomplete="name" autofocus>--}}
{{--                                @endif--}}
{{--                                @error('name')--}}
{{--                                    <span class="invalid-feedback" role="alert">--}}
{{--                                        <strong>{{ $message }}</strong>--}}
{{--                                    </span>--}}
{{--                                @enderror--}}
{{--                            </div>--}}
{{--                        </div>--}}

{{--                        <div class="form-group row">--}}
{{--                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('E-Mail Address') }}</label>--}}

{{--                            <div class="col-md-6">--}}
{{--                                @if(Session::has('find_programs'))--}}
{{--                                    <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email',Session::get('find_programs')['email'] ? Session::get('find_programs')['email'] : "") }}" required autocomplete="email">--}}
{{--                                @else--}}
{{--                                    <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email">--}}
{{--                                @endif--}}

{{--                                @error('email')--}}
{{--                                    <span class="invalid-feedback" role="alert">--}}
{{--                                        <strong>{{ $message }}</strong>--}}
{{--                                    </span>--}}
{{--                                @enderror--}}
{{--                            </div>--}}
{{--                        </div>--}}

{{--                        <div class="form-group row">--}}
{{--                            <label for="contact" class="col-md-4 col-form-label text-md-right">{{ __('Contact No') }}</label>--}}

{{--                            <div class="col-md-6">--}}
{{--                                @if(Session::has('find_programs'))--}}
{{--                                    <input id="contact" type="text" class="form-control @error('contact_no') is-invalid @enderror" name="contact_no" value="{{ old('contact_no',Session::get('find_programs')['contact_no'] ? Session::get('find_programs')['contact_no'] : "") }}" required autocomplete="contact_no">--}}
{{--                                @else--}}
{{--                                    <input id="contact" type="text" class="form-control @error('contact_no') is-invalid @enderror" name="contact_no" value="{{ old('contact_no') }}" required autocomplete="contact_no">--}}
{{--                                @endif--}}

{{--                                @error('contact_no')--}}
{{--                                <span class="invalid-feedback" role="alert">--}}
{{--                                        <strong>{{ $message }}</strong>--}}
{{--                                    </span>--}}
{{--                                @enderror--}}
{{--                            </div>--}}
{{--                        </div>--}}

{{--                        <div class="form-group row">--}}
{{--                            <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('Password') }}</label>--}}

{{--                            <div class="col-md-6">--}}
{{--                                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="new-password">--}}

{{--                                @error('password')--}}
{{--                                    <span class="invalid-feedback" role="alert">--}}
{{--                                        <strong>{{ $message }}</strong>--}}
{{--                                    </span>--}}
{{--                                @enderror--}}
{{--                            </div>--}}
{{--                        </div>--}}

{{--                        <div class="form-group row">--}}
{{--                            <label for="password-confirm" class="col-md-4 col-form-label text-md-right">{{ __('Confirm Password') }}</label>--}}

{{--                            <div class="col-md-6">--}}
{{--                                <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required autocomplete="new-password">--}}
{{--                            </div>--}}
{{--                        </div>--}}

{{--                        <div class="form-group row mb-0">--}}
{{--                            <div class="col-md-6 offset-md-4">--}}
{{--                                <button type="submit" class="btn btn-primary">--}}
{{--                                    {{ __('Register') }}--}}
{{--                                </button>--}}
{{--                            </div>--}}
{{--                        </div>--}}
{{--                    </form>--}}
{{--                </div>--}}
{{--            </div>--}}
{{--        </div>--}}
{{--    </div>--}}
{{--</div>--}}
@endsection
