@extends('layouts.master')

@section('title','Admin')

@section('header')
    @include('layouts.header')
@endsection

@section('content')
    <!-- /Navigation-->

    <div class="content-wrapper agent-panel-content" id="all-form">
        <div class="container-fluid">
            <h2 class="text-center pt-3 main-heading">Search Information</h2>
            <!--------------------------------------FORMS--------------------------------->
            <!--Search box-->
            <div class="searchBox box_general mt-5 padding_bottom">
                <a href="" data-toggle="collapse" class="form-heading" data-target="#SearchBox">
                    <i class="fas fa-caret-down mr-2"></i>
                    Search Student
                </a>
                <div id="SearchBox" class="collapse show mt-4">
                    <form>
                        <div class="form-row justify-content-center">
                            <div class="form-group col-md-4">
                                <input type="text" class="form-control" id="inputCompanyNameInfo" placeholder="Search Student.....">
                            </div>
                            <div class="form-group col-2">
                                <button type="button" onclick="window.open('{{route('super_admin.update_user_info')}}/'+$('#inputCompanyNameInfo').val(),'_self');" class="btn btn-basic pl-4 pr-4" style="padding-top: 11px; padding-bottom: 11px;" id="searchBtn">
                                    <i class="fas fa-search mr-2" ></i>Search
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            @if(isset($student) == false)
                <h1 align="center">No Record Found</h1>
            @endif
            <div class="agent_panel_inputs">
                <!--box_general-personal-info-->
                <div class="box_general padding_bottom mt-4">
                    <a href="" class="form-heading" data-toggle="collapse" data-target="#generalInfo">
                        <i class="fas fa-caret-down mr-2"></i>
                        Personal Information
                    </a>
                    <div id="generalInfo" class="collapse show mt-4">
                        @if(Session::has('message'))
                            <p class="alert alert-success">{{ Session::get('message') }}</p>
                        @endif
                        @if ($student)
                            <form action="{{route('super_admin.update')}}" enctype="multipart/form-data" method="POST">
                                <input type="hidden" hidden name="u_id" value="{{$student->id}}">
                                <input type="hidden" hidden name="studentID" value="{{$student->user_id}}">
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="inputFnameInfo" class="form-labels">Full Name</label>
                                        <input type="text" name="name" value="{{old('name',$student->name)}}" class="form-control" id="inputFnameInfo" placeholder="Full Name">
                                        @error('name')
                                        <span class="text-danger">{{$message}}</span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="InputDOBInfo" class="form-labels">Date of Birth</label>
                                        <input type="date" name="dob" value="{{old('dob',$student->dob ? $student->dob : "")}}" class="form-control" id="InputDOBInfo">
                                        @error('dob')
                                        <span class="text-danger">{{$message}}</span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputGenderInfo" class="form-labels">Gender</label>
                                        <select class="form-control" name="gender" id="inputGenderInfo">
                                            <option value="0" @if($student->gender == 0) selected @endif>Male</option>
                                            <option value="1" @if($student->gender == 1) selected @endif>Fe-male</option>
                                            <option value="2" @if($student->gender == 2) selected @endif>Other</option>
                                        </select>
                                        @error('gender')
                                        <span class="text-danger">{{$message}}</span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="InputPassPortInfo" class="form-labels">Passport Number</label>
                                        <input type="text" name="passport_no" value="{{old('passport_no',$student->passport_no ? $student->passport_no : "")}}" class="form-control" id="InputPassPortInfo" placeholder="Passport Number">
                                        @error('passport_no')
                                        <span class="text-danger">{{$message}}</span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputNationalityInfo" class="form-labels">Nationality</label>
                                        <select class="form-control" name="nationality" id="inputNationalityInfo">
                                            <option value="{{$student->nationality}}">{{$student->nationality}}</option>
                                            <option value="afghan">Afghan</option>
                                            <option value="albanian">Albanian</option>
                                            <option value="algerian">Algerian</option>
                                            <option value="american">American</option>
                                            <option value="andorran">Andorran</option>
                                            <option value="angolan">Angolan</option>
                                            <option value="antiguans">Antiguans</option>
                                            <option value="argentinean">Argentinean</option>
                                            <option value="armenian">Armenian</option>
                                            <option value="australian">Australian</option>
                                            <option value="austrian">Austrian</option>
                                            <option value="azerbaijani">Azerbaijani</option>
                                            <option value="bahamian">Bahamian</option>
                                            <option value="bahraini">Bahraini</option>
                                            <option value="bangladeshi">Bangladeshi</option>
                                            <option value="barbadian">Barbadian</option>
                                            <option value="barbudans">Barbudans</option>
                                            <option value="batswana">Batswana</option>
                                            <option value="belarusian">Belarusian</option>
                                            <option value="belgian">Belgian</option>
                                            <option value="belizean">Belizean</option>
                                            <option value="beninese">Beninese</option>
                                            <option value="bhutanese">Bhutanese</option>
                                            <option value="bolivian">Bolivian</option>
                                            <option value="bosnian">Bosnian</option>
                                            <option value="brazilian">Brazilian</option>
                                            <option value="british">British</option>
                                            <option value="bruneian">Bruneian</option>
                                            <option value="bulgarian">Bulgarian</option>
                                            <option value="burkinabe">Burkinabe</option>
                                            <option value="burmese">Burmese</option>
                                            <option value="burundian">Burundian</option>
                                            <option value="cambodian">Cambodian</option>
                                            <option value="cameroonian">Cameroonian</option>
                                            <option value="canadian">Canadian</option>
                                            <option value="cape verdean">Cape Verdean</option>
                                            <option value="central african">Central African</option>
                                            <option value="chadian">Chadian</option>
                                            <option value="chilean">Chilean</option>
                                            <option value="chinese">Chinese</option>
                                            <option value="colombian">Colombian</option>
                                            <option value="comoran">Comoran</option>
                                            <option value="congolese">Congolese</option>
                                            <option value="costa rican">Costa Rican</option>
                                            <option value="croatian">Croatian</option>
                                            <option value="cuban">Cuban</option>
                                            <option value="cypriot">Cypriot</option>
                                            <option value="czech">Czech</option>
                                            <option value="danish">Danish</option>
                                            <option value="djibouti">Djibouti</option>
                                            <option value="dominican">Dominican</option>
                                            <option value="dutch">Dutch</option>
                                            <option value="east timorese">East Timorese</option>
                                            <option value="ecuadorean">Ecuadorean</option>
                                            <option value="egyptian">Egyptian</option>
                                            <option value="emirian">Emirian</option>
                                            <option value="equatorial guinean">Equatorial Guinean</option>
                                            <option value="eritrean">Eritrean</option>
                                            <option value="estonian">Estonian</option>
                                            <option value="ethiopian">Ethiopian</option>
                                            <option value="fijian">Fijian</option>
                                            <option value="filipino">Filipino</option>
                                            <option value="finnish">Finnish</option>
                                            <option value="french">French</option>
                                            <option value="gabonese">Gabonese</option>
                                            <option value="gambian">Gambian</option>
                                            <option value="georgian">Georgian</option>
                                            <option value="german">German</option>
                                            <option value="ghanaian">Ghanaian</option>
                                            <option value="greek">Greek</option>
                                            <option value="grenadian">Grenadian</option>
                                            <option value="guatemalan">Guatemalan</option>
                                            <option value="guinea-bissauan">Guinea-Bissauan</option>
                                            <option value="guinean">Guinean</option>
                                            <option value="guyanese">Guyanese</option>
                                            <option value="haitian">Haitian</option>
                                            <option value="herzegovinian">Herzegovinian</option>
                                            <option value="honduran">Honduran</option>
                                            <option value="hungarian">Hungarian</option>
                                            <option value="icelander">Icelander</option>
                                            <option value="indian">Indian</option>
                                            <option value="indonesian">Indonesian</option>
                                            <option value="iranian">Iranian</option>
                                            <option value="iraqi">Iraqi</option>
                                            <option value="irish">Irish</option>
                                            <option value="israeli">Israeli</option>
                                            <option value="italian">Italian</option>
                                            <option value="ivorian">Ivorian</option>
                                            <option value="jamaican">Jamaican</option>
                                            <option value="japanese">Japanese</option>
                                            <option value="jordanian">Jordanian</option>
                                            <option value="kazakhstani">Kazakhstani</option>
                                            <option value="kenyan">Kenyan</option>
                                            <option value="kittian and nevisian">Kittian and Nevisian</option>
                                            <option value="kuwaiti">Kuwaiti</option>
                                            <option value="kyrgyz">Kyrgyz</option>
                                            <option value="laotian">Laotian</option>
                                            <option value="latvian">Latvian</option>
                                            <option value="lebanese">Lebanese</option>
                                            <option value="liberian">Liberian</option>
                                            <option value="libyan">Libyan</option>
                                            <option value="liechtensteiner">Liechtensteiner</option>
                                            <option value="lithuanian">Lithuanian</option>
                                            <option value="luxembourger">Luxembourger</option>
                                            <option value="macedonian">Macedonian</option>
                                            <option value="malagasy">Malagasy</option>
                                            <option value="malawian">Malawian</option>
                                            <option value="malaysian">Malaysian</option>
                                            <option value="maldivan">Maldivan</option>
                                            <option value="malian">Malian</option>
                                            <option value="maltese">Maltese</option>
                                            <option value="marshallese">Marshallese</option>
                                            <option value="mauritanian">Mauritanian</option>
                                            <option value="mauritian">Mauritian</option>
                                            <option value="mexican">Mexican</option>
                                            <option value="micronesian">Micronesian</option>
                                            <option value="moldovan">Moldovan</option>
                                            <option value="monacan">Monacan</option>
                                            <option value="mongolian">Mongolian</option>
                                            <option value="moroccan">Moroccan</option>
                                            <option value="mosotho">Mosotho</option>
                                            <option value="motswana">Motswana</option>
                                            <option value="mozambican">Mozambican</option>
                                            <option value="namibian">Namibian</option>
                                            <option value="nauruan">Nauruan</option>
                                            <option value="nepalese">Nepalese</option>
                                            <option value="new zealander">New Zealander</option>
                                            <option value="ni-vanuatu">Ni-Vanuatu</option>
                                            <option value="nicaraguan">Nicaraguan</option>
                                            <option value="nigerien">Nigerien</option>
                                            <option value="north korean">North Korean</option>
                                            <option value="northern irish">Northern Irish</option>
                                            <option value="norwegian">Norwegian</option>
                                            <option value="omani">Omani</option>
                                            <option value="pakistani">Pakistani</option>
                                            <option value="palauan">Palauan</option>
                                            <option value="panamanian">Panamanian</option>
                                            <option value="papua new guinean">Papua New Guinean</option>
                                            <option value="paraguayan">Paraguayan</option>
                                            <option value="peruvian">Peruvian</option>
                                            <option value="polish">Polish</option>
                                            <option value="portuguese">Portuguese</option>
                                            <option value="qatari">Qatari</option>
                                            <option value="romanian">Romanian</option>
                                            <option value="russian">Russian</option>
                                            <option value="rwandan">Rwandan</option>
                                            <option value="saint lucian">Saint Lucian</option>
                                            <option value="salvadoran">Salvadoran</option>
                                            <option value="samoan">Samoan</option>
                                            <option value="san marinese">San Marinese</option>
                                            <option value="sao tomean">Sao Tomean</option>
                                            <option value="saudi">Saudi</option>
                                            <option value="scottish">Scottish</option>
                                            <option value="senegalese">Senegalese</option>
                                            <option value="serbian">Serbian</option>
                                            <option value="seychellois">Seychellois</option>
                                            <option value="sierra leonean">Sierra Leonean</option>
                                            <option value="singaporean">Singaporean</option>
                                            <option value="slovakian">Slovakian</option>
                                            <option value="slovenian">Slovenian</option>
                                            <option value="solomon islander">Solomon Islander</option>
                                            <option value="somali">Somali</option>
                                            <option value="south african">South African</option>
                                            <option value="south korean">South Korean</option>
                                            <option value="spanish">Spanish</option>
                                            <option value="sri lankan">Sri Lankan</option>
                                            <option value="sudanese">Sudanese</option>
                                            <option value="surinamer">Surinamer</option>
                                            <option value="swazi">Swazi</option>
                                            <option value="swedish">Swedish</option>
                                            <option value="swiss">Swiss</option>
                                            <option value="syrian">Syrian</option>
                                            <option value="taiwanese">Taiwanese</option>
                                            <option value="tajik">Tajik</option>
                                            <option value="tanzanian">Tanzanian</option>
                                            <option value="thai">Thai</option>
                                            <option value="togolese">Togolese</option>
                                            <option value="tongan">Tongan</option>
                                            <option value="trinidadian or tobagonian">Trinidadian or Tobagonian</option>
                                            <option value="tunisian">Tunisian</option>
                                            <option value="turkish">Turkish</option>
                                            <option value="tuvaluan">Tuvaluan</option>
                                            <option value="ugandan">Ugandan</option>
                                            <option value="ukrainian">Ukrainian</option>
                                            <option value="uruguayan">Uruguayan</option>
                                            <option value="uzbekistani">Uzbekistani</option>
                                            <option value="venezuelan">Venezuelan</option>
                                            <option value="vietnamese">Vietnamese</option>
                                            <option value="welsh">Welsh</option>
                                            <option value="yemenite">Yemenite</option>
                                            <option value="zambian">Zambian</option>
                                            <option value="zimbabwean">Zimbabwean</option>
                                        </select>
                                        @error('nationality')
                                        <span class="text-danger">{{$message}}</span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputPoBoxInfo" class="form-labels">PO Box No.</label>
                                        <input type="text" name="po_box" value="{{old('po_box',$student->po_box ? $student->po_box : "")}}" class="form-control" id="inputPoBoxInfo" placeholder="Po Box No.">
                                        @error('po_box')
                                        <span class="text-danger">{{$message}}</span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="inputAddressInfo" class="form-labels">Address</label>
                                        <input type="text" name="address" value="{{old('address',$student->address ? $student->address : "")}}" class="form-control" id="inputAddressInfo" placeholder="address">
                                        @error('address')
                                        <span class="text-danger">{{$message}}</span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="inputEnglishTestInfo" class="form-labels" style="color: black;">English Test Score</label>
                                        <select class="form-control" name="eng_test" id="inputEnglishTestInfo">
                                            @foreach($english_test as $title)
                                                @if($student->eng_test->english_test_id == $title->id)
                                                    <option selected value="{{$title->id}}">{{$title->name}}</option>
                                                @else
                                                    <option value="{{$title->id}}">{{$title->name}}</option>
                                                @endif
                                            @endforeach
                                        </select>
                                        @error('eng_test')
                                        <span class="text-danger">{{$message}}</span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="inputPhoneNoInfo" class="form-labels">Writing</label>
                                        <input type="text" name="writing" value="{{old('writing',$student->eng_test->writing)}}" class="form-control" id="InputTestScoreWiritingInfo" placeholder="Writing">
                                        @error('writing')
                                        <span class="text-danger">{{$message}}</span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="inputPhoneNoInfo" class="form-labels">Reading</label>
                                        <input type="text" name="reading" value="{{old('reading',$student->eng_test->reading)}}" class="form-control" id="InputTestScoreReadingInfo" placeholder="Reading">
                                        @error('reading')
                                        <span class="text-danger">{{$message}}</span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="inputPhoneNoInfo" class="form-labels">Speaking</label>
                                        <input type="text" name="speaking" value="{{old('speaking',$student->eng_test->speaking)}}" class="form-control" id="InputTestScoreSpeakingInfo" placeholder="Speaking">
                                        @error('speaking')
                                        <span class="text-danger">{{$message}}</span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="inputPhoneNoInfo" class="form-labels">Listening</label>
                                        <input type="text" name="listening" value="{{old('listening',$student->eng_test->listening)}}" class="form-control" id="InputTestScoreListeningInfo" placeholder="Listening">
                                        @error('listening')
                                        <span class="text-danger">{{$message}}</span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-md-4 offset-4">
                                        <label for="inputProfilePhoto" class="form-labels">Profile Photo</label>
                                        <input type="file" name="image" class="form-control" id="inputProfilePhoto">
                                        @error('image')
                                        <span class="text-danger">{{$message}}</span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-row justify-content-center mt-3">
                                    <button type="submit" class="btn btn-basic pr-4 pl-4">Submit</button>
                                </div>
                                @csrf
                            </form>
                        @endif
                    </div>
                </div>
            </div>

            <div class="added-container box_general padding_bottom mt-5">
                <a href="" class="form-heading" data-toggle="collapse" data-target="#educationHistory">
                    <i class="fas fa-caret-down mr-2"></i>Education History</a>
                <div id="educationHistory" class="collapse show mt-4">
                    @isset($student)
                    @foreach($student->student_education as $edu_history)
                        <form action="{{route('super_admin.update_education_history')}}" class="default-edu-history-form" enctype="multipart/form-data" method="POST" id="education-form">
                            @csrf
                            <input type="hidden" hidden name="u_id" value="{{$student->id}}">
                            <input type="hidden" hidden name="studentID" value="{{$student->user_id}}">
                            <input type="hidden" hidden value="{{$edu_history->id}}" name="id">
                            <div class='elementEducation' id='div_1'>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="inputSchoolnameInfo" class="form-labels">School Name</label>
                                        <input type="text" name="school_name" value="{{$edu_history->school_name}}" class="form-control" id="inputSchoolnameInfo" placeholder="School Name">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="inputSchoolAddressInfo" class="form-labels">School Address</label>
                                        <input type="text" name="school_address" value="{{$edu_history->school_address}}" class="form-control" id="inputSchoolAddressInfo" placeholder="School Address">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="inputEducationInfo" class="form-labels">Degree Name</label>
                                        <input type="text" name="degree_name" value="{{$edu_history->degree_name}}" class="form-control" id="inputEducationInfo" placeholder="Degree Name">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputYearInfo" class="form-labels">Year</label>
                                        <input type="text" name="year" value="{{$edu_history->year}}" class="form-control" id="inputYearInfo" placeholder="Year">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputResultCriteriaInfo" class="form-labels">Result criteria</label>
                                        <select class="form-control" name="result_criteria" id="inputResultCriteriaInfo">
                                            <option value="CGPA4" @if($edu_history->result_criteria == 'CGPA4') selected @endif>CGPA out of 4</option>
                                            <option value="CGPA5" @if($edu_history->result_criteria == 'CGPA5') selected @endif>CGPA out of 5</option>
                                            <option value="CGPA5" @if($edu_history->result_criteria == 'Percentage') selected @endif>Percentage</option>
                                        </select>
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="inputScoreInfo" class="form-labels">GCPA / Grade</label>
                                        <input type="text" name="score" value="{{$edu_history->score}}" class="form-control" id="inputScoreInfo" placeholder="Score">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <input type="hidden" hidden value="{{$edu_history->degree}}" name="degree_path">
                                        <label for="inputSchoolDegreeInfo" class="form-labels">Degree</label>
                                        <input type="file" name="degree" id="inputSchoolDegreeInfo">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <input type="hidden" hidden value="{{$edu_history->transcript}}" name="result_path">
                                        <label for="inputSchoolResultInfo" class="form-labels">Result sheet / Transcript</label>
                                        <input type="file" name="result" id="inputSchoolResultInfo">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row justify-content-center mt-3">
                                <button type="button" class="btn btn-basic pr-4 pl-4" onclick="submitStudentHistory($(this))">Submit</button>
                            </div>
                        </form>
                        <hr class='hr-custom'>
                    @endforeach
                    @if(isset($edu_history) == false)
                        <form action="{{route('super_admin.update_education_history')}}" class="default-edu-history-form" enctype="multipart/form-data" method="POST" id="education-form">
                            @csrf
                            <input type="hidden" hidden name="u_id" value="{{$student->id}}">
                            <input type="hidden" hidden name="studentID" value="{{$student->user_id}}">
                            <input type="hidden" hidden value="0" name="id">
                            <div class='elementEducation' id='div_1'>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="inputSchoolnameInfo" class="form-labels">School Name</label>
                                        <input type="text" name="school_name" class="form-control" id="inputSchoolnameInfo" placeholder="School Name">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="inputSchoolAddressInfo" class="form-labels">School Address</label>
                                        <input type="text" name="school_address" class="form-control" id="inputSchoolAddressInfo" placeholder="School Address">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="inputEducationInfo" class="form-labels">Degree Name</label>
                                        <input type="text" name="degree_name" class="form-control" id="inputEducationInfo" placeholder="Degree Name">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputYearInfo" class="form-labels">Year</label>
                                        <input type="text" name="year" class="form-control" id="inputYearInfo" placeholder="Year">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputResultCriteriaInfo" class="form-labels">Result criteria</label>
                                        <select class="form-control" name="result_criteria" id="inputResultCriteriaInfo">
                                            <option value="CGPA4">CGPA out of 4</option>
                                            <option value="CGPA5">CGPA out of 5</option>
                                        </select>
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="inputScoreInfo" class="form-labels">GCPA / Grade</label>
                                        <input type="text" name="score" class="form-control" id="inputScoreInfo" placeholder="Score">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <input type="hidden" hidden name="degree_path">
                                        <label for="inputSchoolDegreeInfo" class="form-labels">Degree</label>
                                        <input type="file" name="degree" id="inputSchoolDegreeInfo">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <input type="hidden" hidden name="result_path">
                                        <label for="inputSchoolResultInfo" class="form-labels">Result sheet / Transcript</label>
                                        <input type="file" name="result" id="inputSchoolResultInfo">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row justify-content-center mt-3">
                                <button type="button" class="btn btn-basic pr-4 pl-4" onclick="submitStudentHistory($(this))">Submit</button>
                            </div>
                        </form>
                        <hr class='hr-custom'>
                    @endif
                    <div class="form-row justify-content-center mt-5">
                        <a class="btn btn-basic add" id="add_education"><i class="fas fa-plus mr-3"></i>Add Education</a>
                    </div>
                    @endisset
                </div>
                @isset($student)
                <script>
                    $(".add").click(function () {
                        $("#educationHistory form:last").after("<form action='{{route('super_admin.update_education_history')}}' enctype='multipart/form-data' method='POST'><hr class='hr-custom'>"+$("#education-form").html()+"</form>");
                        $("#educationHistory form:last input[name=_token]").before('<div class="col-lg-12" style="text-align: right"><button class="btn btn-basic" type="button" onclick="$(this).parent().parent().remove();">X</button></div>');
                        $("#educationHistory form:last span").text('');
                        $("#educationHistory form:last input").val("");
                        $("#educationHistory form:last input[name='id']").val("0");
                        $("#educationHistory form:last input[name='u_id']").val("{{$student->id}}");
                        $("#educationHistory form:last input[name='studentID']").val("{{$student->user_id}}");
                        $("#educationHistory form:last select option:first").prop('selected',true);
                    });
                    function submitStudentHistory(btn){
                        var form = btn.parent().parent();
                        function setText(name,text){
                            form.find('input[name="'+name+'"]').siblings('.text-danger').text(text);
                        }
                        $.ajax({
                            type: form.attr('method'),
                            url: form.attr('action'),
                            data: new FormData(form[0]),
                            enctype: form.attr('enctype'),
                            cache:false,
                            processData: false,
                            contentType: false,
                            dataType: 'JSON',
                            headers: {
                                'X-CSRF-TOKEN': '{{csrf_token()}}'
                            },beforeSend: function(){
                                btn.text('Please Wait...');
                            },success: function (result) {
                                console.log(result);
                                btn.text('Submit');

                                if(result.success){
                                    alert('Submission Successful.');
                                    if(result.success == 'success'){
                                        form.find('.text-danger').text('');
                                    }else{
                                        window.open(result.success,"_self");
                                    }

                                }else{
                                    if(result.error.school_name){
                                        setText('school_name',result.error.school_name);
                                    }else{
                                        setText('school_name','');
                                    }

                                    if(result.error.school_address){
                                        setText('school_address',result.error.school_address);
                                    }else{
                                        setText('school_address','');
                                    }

                                    if(result.error.degree_name){
                                        setText('degree_name',result.error.degree_name);
                                    }else{
                                        setText('degree_name','');
                                    }

                                    if(result.error.year){
                                        setText('year',result.error.year);
                                    }else{
                                        setText('year','');
                                    }

                                    if(result.error.result_criteria){
                                        setText('result_criteria',result.error.result_criteria);
                                    }else{
                                        setText('result_criteria','');
                                    }

                                    if(result.error.score){
                                        setText('score',result.error.score);
                                    }else{
                                        setText('score','');
                                    }

                                    if(result.error.degree){
                                        setText('degree',result.error.degree);
                                    }else{
                                        setText('degree','');
                                    }

                                    if(result.error.result){
                                        setText('result',result.error.result);
                                    }else{
                                        setText('result','');
                                    }
                                }
                            },error: function (err) {
                                console.log(err);
                            }
                        });
                    }
                </script>
                @endisset
            </div>

            <div class="box_general added-container-Certificate mt-5 padding_bottom">
                <a href="" data-toggle="collapse" class="form-heading" data-target="#certificate-history">
                    <i class="fas fa-caret-down mr-2"></i>
                    Certificates
                </a>
                <div id="certificate-history" class="collapse show mt-4">
                    @isset($student)
                    @foreach($student->student_additional_education as $additional_edu)
                        <form class="default-certificate-form" action="{{route('super_admin.update_additional_education')}}" method="POST" enctype="multipart/form-data">
                            @csrf
                            <input type="hidden" hidden name="u_id" value="{{$student->id}}">
                            <input type="hidden" hidden name="studentID" value="{{$student->user_id}}">
                            <input type="hidden" hidden name="id" value="{{$additional_edu->id}}">
                            <div class='elementCertificate' id='div_1'>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="inputSchoolName" class="form-labels">School Name</label>
                                        <input type="text" name="school_name" value="{{$additional_edu->school_name}}" class="form-control" id="inputSchoolName" placeholder="School Name">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputCertificateName" class="form-labels">Certificate Name</label>
                                        <input type="text" name="certificate_name" value="{{$additional_edu->name}}" class="form-control" id="inputCertificateName" placeholder="Certificate Name">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputYear" class="form-labels">Year</label>
                                        <input type="text" name="year" class="form-control" value="{{$additional_edu->year}}" id="inputYear" placeholder="Year">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="inputCertificateTenure" class="form-labels">Tenure</label>
                                        <input type="text" name="tenure" class="form-control" value="{{$additional_edu->tenure}}" id="inputCertificateTenure" placeholder="Certification tenure">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputDesc" class="form-labels">Description</label>
                                        <input type="text" name="description" value="{{$additional_edu->desc}}" class="form-control" id="inputDesc" placeholder="Description">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <input type="hidden" hidden name="certificate_path" value="value="{{$additional_edu->degree}}"">
                                        <label for="inputCertificateTranscript" class="form-labels">Certificate Letter</label>
                                        <input type="file" name="certificate" class="form-control" id="inputCertificateTranscript">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row justify-content-center mt-3">
                                <button type="button" onclick="submitEducationHistory($(this));" class="btn btn-basic pr-4 pl-4">Submit</button>
                            </div>
                        </form>
                        <hr class="hr-custom">
                    @endforeach
                    @if(isset($additional_edu) == false)
                        <form class="default-certificate-form" action="{{route('super_admin.update_additional_education')}}" method="POST" enctype="multipart/form-data">
                            @csrf
                            <input type="hidden" hidden name="u_id" value="{{$student->id}}">
                            <input type="hidden" hidden name="studentID" value="{{$student->user_id}}">
                            <input type="hidden" hidden name="id" value="0">
                            <div class='elementCertificate' id='div_1'>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="inputSchoolName" class="form-labels">School Name</label>
                                        <input type="text" name="school_name" class="form-control" id="inputSchoolName" placeholder="School Name">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputCertificateName" class="form-labels">Certificate Name</label>
                                        <input type="text" name="certificate_name" class="form-control" id="inputCertificateName" placeholder="Certificate Name">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputYear" class="form-labels">Year</label>
                                        <input type="text" name="year" class="form-control" id="inputYear" placeholder="Year">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="inputCertificateTenure" class="form-labels">Tenure</label>
                                        <input type="text" name="tenure" class="form-control" id="inputCertificateTenure" placeholder="Certification tenure">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputDesc" class="form-labels">Description</label>
                                        <input type="text" name="description" class="form-control" id="inputDesc" placeholder="Description">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <input type="hidden" hidden name="certificate_path">
                                        <label for="inputCertificateTranscript" class="form-labels">Certificate Letter</label>
                                        <input type="file" name="certificate" class="form-control" id="inputCertificateTranscript">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row justify-content-center mt-3">
                                <button type="button" onclick="submitEducationHistory($(this));" class="btn btn-basic pr-4 pl-4">Submit</button>
                            </div>
                        </form>
                        <hr class="hr-custom">
                    @endif
                    <div class="form-row justify-content-center mt-3">
                        <a class="btn btn-basic" id="add_certificate"><i class="fas fa-plus mr-3"></i>Add Certificate</a>
                    </div>
                    @endisset
                </div>
                @isset($student)
                <script>
                    $("#add_certificate").click(function () {
                        $("#certificate-history form:last").after("<form action='{{route('super_admin.update_additional_education')}}' enctype='multipart/form-data' method='POST'><hr class='hr-custom'>"+$(".default-certificate-form").html()+"</form>");
                        $("#certificate-history form:last input[name=_token]").before('<div class="col-lg-12" style="text-align: right"><button class="btn btn-basic" type="button" onclick="$(this).parent().parent().remove();">X</button></div>');
                        $("#certificate-history form:last span").text('');
                        $("#certificate-history form:last input").val("");
                        $("#educationHistory form:last input[name='u_id']").val("{{$student->id}}");
                        $("#educationHistory form:last input[name='studentID']").val("{{$student->user_id}}");
                        $("#certificate-history form:last input[name='id']").val("0");
                    })
                    function submitEducationHistory(btn){
                        var form = btn.parent().parent();
                        function setText(name,text){
                            form.find('input[name="'+name+'"]').siblings('.text-danger').text(text);
                        }
                        $.ajax({
                            type: form.attr('method'),
                            url: form.attr('action'),
                            data: new FormData(form[0]),
                            enctype: form.attr('enctype'),
                            cache:false,
                            processData: false,
                            contentType: false,
                            dataType: 'JSON',
                            headers: {
                                'X-CSRF-TOKEN': '{{csrf_token()}}'
                            },beforeSend: function(){
                                btn.text('Please Wait...');
                            },success: function (result) {
                                console.log(result);
                                btn.text('Submit');

                                if(result.success){
                                    alert('Submission Successful.');
                                    if(result.success == 'success'){
                                        form.find('.text-danger').text('');
                                    }else{
                                        window.open(result.success,"_self");
                                    }

                                }else{
                                    if(result.error.school_name){
                                        setText('school_name',result.error.school_name);
                                    }else{
                                        setText('school_name','');
                                    }

                                    if(result.error.certificate_name){
                                        setText('certificate_name',result.error.certificate_name);
                                    }else{
                                        setText('certificate_name','');
                                    }

                                    if(result.error.year){
                                        setText('year',result.error.year);
                                    }else{
                                        setText('year','');
                                    }

                                    if(result.error.tenure){
                                        setText('tenure',result.error.tenure);
                                    }else{
                                        setText('tenure','');
                                    }

                                    if(result.error.description){
                                        setText('description',result.error.description);
                                    }else{
                                        setText('description','');
                                    }

                                    if(result.error.certificate){
                                        setText('certificate',result.error.certificate);
                                    }else{
                                        setText('certificate','');
                                    }
                                }
                            },error: function (err) {
                                console.log(err);
                            }
                        });
                    }
                </script>
                @endisset
            </div>

            <div class="box_general added-container-emp mt-5 padding_bottom">
                <a href="" data-toggle="collapse" class="form-heading" data-target="#employmentHistory">
                    <i class="fas fa-caret-down mr-2"></i>
                    Employment History
                </a>
                <div id="employmentHistory" class="collapse show mt-4">
                    @isset($student)
                    @foreach($student->employment_history as $employ)
                        <form action="{{route('super_admin.update_employment_history')}}" class="default-employ-history" method="POST" enctype="multipart/form-data">
                            @csrf
                            <input type="hidden" hidden name="u_id" value="{{$student->id}}">
                            <input type="hidden" hidden name="studentID" value="{{$student->user_id}}">
                            <input type="hidden" hidden value="{{$employ->id}}" name="id">
                            <div class='elementEmployment' id='div_1'>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="inputCompneyName" class="form-labels">Current Company</label>
                                        <input type="text" name="company_name" value="{{$employ->company_name}}" class="form-control" id="inputCompneyName" placeholder="Current Company">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="inputCompnayAddress" class="form-labels">Compnay Address</label>
                                        <input type="text" name="company_address" value="{{$employ->company_address}}" class="form-control" id="inputCompnayAddress" placeholder="Company Address">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="inputCompanyDesignationInfo" class="form-labels">Current Designation</label>
                                        <input type="text" name="designation" value="{{$employ->position}}" class="form-control" id="inputCompanyDesignationInfo" placeholder="Current Designation">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputFrom" class="form-labels">From</label>
                                        <input type="date" name="from" class="form-control" value="{{$employ->from}}" id="inputFrom" placeholder="Current Designation">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4 position-relative">
                                        <label for="inputTo" class="form-labels">To</label><input name="check" @if($employ->to == false) checked @endif class="position-absolute" style="right: 10px;" type="checkbox" onchange="if($(this).prop('checked')){$(this).siblings('#inputTo').prop('disabled',true);}else{$(this).siblings('#inputTo').prop('disabled',false);}">
                                        <input type="date" name="to" class="form-control" value="{{$employ->to}}" id="inputTo" placeholder="Current Designation">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <input type="hidden" hidden name="experience_path" value="{{$employ->experience_letter}}">
                                        <label for="inputCompanyExperienceInfo" class="form-labels">Experience Letter</label>
                                        <input type="file" name="experience_letter" class="form-control" id="inputCompanyExperienceInfo">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <input type="hidden" hidden name="slip_path" value="{{$employ->last_pay_slip}}">
                                        <label for="inputLastPayInfo" class="form-labels">Last Pay Slip</label>
                                        <input type="file" name="last_pay_slip" class="form-control" id="inputLastPayInfo">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row justify-content-center mt-3">
                                <button type="button" onclick="submitEmploymentHistory($(this));" class="btn btn-basic pr-4 pl-4">Submit</button>
                            </div>
                        </form>
                        <hr class="hr-custom">
                    @endforeach
                    @if (isset($employ) == false)
                        <form action="{{route('super_admin.update_employment_history')}}" class="default-employ-history" method="POST" enctype="multipart/form-data">
                            @csrf
                            <input type="hidden" hidden name="u_id" value="{{$student->id}}">
                            <input type="hidden" hidden name="studentID" value="{{$student->user_id}}">
                            <input type="hidden" hidden value="0" name="id">
                            <div class='elementEmployment' id='div_1'>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="inputCompneyName" class="form-labels">Current Company</label>
                                        <input type="text" name="company_name" class="form-control" id="inputCompneyName" placeholder="Current Company">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="inputCompnayAddress" class="form-labels">Compnay Address</label>
                                        <input type="text" name="company_address" class="form-control" id="inputCompnayAddress" placeholder="Company Address">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="inputCompanyDesignationInfo" class="form-labels">Current Designation</label>
                                        <input type="text" name="designation" class="form-control" id="inputCompanyDesignationInfo" placeholder="Current Designation">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="inputFrom" class="form-labels">From</label>
                                        <input type="date" name="from" class="form-control" id="inputFrom" placeholder="Current Designation">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-4 position-relative">
                                        <label for="inputTo" class="form-labels">To </label><input name="check" class="position-absolute" style="right: 10px;" type="checkbox" onchange="if($(this).prop('checked')){$(this).siblings('#inputTo').prop('disabled',true);}else{$(this).siblings('#inputTo').prop('disabled',false);}">
                                        <input type="date" name="to" class="form-control" id="inputTo" placeholder="Current Designation">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="inputCompanyExperienceInfo" class="form-labels">Experience Letter</label>
                                        <input type="file" name="experience_letter" class="form-control" id="inputCompanyExperienceInfo">
                                        <span class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="inputLastPayInfo" class="form-labels">Last Pay Slip</label>
                                        <input type="file" name="last_pay_slip" class="form-control" id="inputLastPayInfo">
                                        <span class="text-danger"></span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row justify-content-center mt-3">
                                <button type="button" onclick="submitEmploymentHistory($(this));" class="btn btn-basic pr-4 pl-4">Submit</button>
                            </div>
                        </form>
                        <hr class="hr-custom">
                    @endif
                    <div class="form-row justify-content-center mt-5">
                        <a class="btn btn-basic" id="add_employment"><i class="fas fa-plus mr-3"></i>Add Employment</a>
                    </div>
                    @endisset
                </div>
                @isset($student)
                <script>
                    $("#add_employment").click(function () {
                        $("#employmentHistory form:last").after("<form action='{{route('super_admin.update_employment_history')}}' enctype='multipart/form-data' method='POST'><hr class='hr-custom'>"+$(".default-employ-history").html()+"</form>");
                        $("#employmentHistory form:last input[name=_token]").before('<div class="col-lg-12" style="text-align: right"><button class="btn btn-basic" type="button" onclick="$(this).parent().parent().remove();">X</button></div>');
                        $("#employmentHistory form:last span").text('');
                        $("#employmentHistory form:last input").not('input[hidden]').val("");
                        {{--$("#educationHistory form:last input[name='u_id']").val("{{$student->id}}");--}}
                        {{--$("#educationHistory form:last input[name='studentID']").val("{{$student->user_id}}");--}}
                        {{--$("#employmentHistory form:last input[name='id']").val("0");--}}
                        $("#employmentHistory form:last input[name='id']").val("0");
                    })
                    function submitEmploymentHistory(btn){
                        var form = btn.parent().parent();
                        function setText(name,text){
                            form.find('input[name="'+name+'"]').siblings('.text-danger').text(text);
                        }
                        $.ajax({
                            type: form.attr('method'),
                            url: form.attr('action'),
                            data: new FormData(form[0]),
                            enctype: form.attr('enctype'),
                            cache:false,
                            processData: false,
                            contentType: false,
                            dataType: 'JSON',
                            headers: {
                                'X-CSRF-TOKEN': '{{csrf_token()}}'
                            },beforeSend: function(){
                                btn.text('Please Wait...');
                            },success: function (result) {
                                console.log(result.success);
                                btn.text('Submit');

                                if(result.success){
                                    alert('Submission Successful.');
                                    if(result.success == 'success'){
                                        form.find('.text-danger').text('');
                                    }else{
                                        window.open(result.success,"_self");
                                    }

                                }else{
                                    if(result.error.company_name){
                                        setText('company_name',result.error.company_name);
                                    }else{
                                        setText('company_name','');
                                    }

                                    if(result.error.company_address){
                                        setText('company_address',result.error.company_address);
                                    }else{
                                        setText('company_address','');
                                    }

                                    if(result.error.certificate_name){
                                        setText('certificate_name',result.error.certificate_name);
                                    }else{
                                        setText('certificate_name','');
                                    }

                                    if(result.error.designation){
                                        setText('designation',result.error.designation);
                                    }else{
                                        setText('designation','');
                                    }

                                    if(result.error.from){
                                        setText('from',result.error.from);
                                    }else{
                                        setText('from','');
                                    }

                                    if(result.error.to){
                                        setText('to',result.error.to);
                                    }else{
                                        setText('to','');
                                    }

                                    if(result.error.experience_letter){
                                        setText('experience_letter',result.error.experience_letter);
                                    }else{
                                        setText('experience_letter','');
                                    }

                                    if(result.error.last_pay_slip){
                                        setText('last_pay_slip',result.error.last_pay_slip);
                                    }else{
                                        setText('last_pay_slip','');
                                    }
                                }
                            },error: function (err) {
                                console.log(err);
                            }
                        });
                    }
                </script>
                @endisset
            </div>
        </div>
    </div>
@endsection

@section('footer')
    @include('layouts.footer')
@endsection
