@extends('layouts.master')

@section('title','Home Page')

@section('header')
    @auth
        @include('layouts.header',['side_bar'=>false])
    @else
        @include('layouts.header',['side_bar'=>true])
    @endauth
    <style>
        .invalid-feedback{
            display: block;
        }
        @media only screen and (min-height: 1600px)
        {
            .hero_home
            {
                height: 50vh !important;
            }
        }
    </style>
@endsection

@section('content')
    <main>
        <div class="hero_home version_1" style="background: linear-gradient(to left ,#f12a02a8,#094477af), url('{{asset('img/bg-index.jpg')}}');background-size: cover;background-repeat: no-repeat;">
            <div class="main-content text-center mt-5">
                <br><br><br>
                <h1 style="color: #fff;">Reshaping education consultancy</h1>
                <p> Get information about the university you want</p>
                <h4 style="color: #fff;" class="mt-4 mb-3" >Find Programs</h4>
                <!--Form find program-->
            </div>
            <div id="custom-search-input" class="pt-3" style="background-color: #eee">
                <form method="POST" action="{{route('find_programs')}}" class="ml-3 mr-3">
                @csrf
                <div>
                    <div class="form-row">
                        <div class="form-group col-md-12 @if($errors->has('full_name')) has-error @endif">
                            <input type="text" name="full_name" value="{{old('full_name')}}" class="form-control" id="inputForFirstNameIndex" placeholder="Full Name">
                            @error('full_name')
                                <span class="invalid-feedback">{{$message}}</span>
                            @enderror
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col @if($errors->has('email')) has-error @endif">
                            <input type="email" value="{{old('email')}}" name="email" class="form-control" id="inputEmailIndex" placeholder="Email Address">
                            @error('email')
                            <span class="invalid-feedback">{{$message}}</span>
                            @enderror
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6 @if($errors->has('nationality')) has-error @endif">
                            <select class="form-control select2" name="nationality" data-placeholder="Nationality" id="inputNationalityIndex">
                                <option value=""></option>
                                <option value="india" {{ old('nationality') == 'india'?"selected":''}}>India</option>
                                <option value="pakistan" {{ old('nationality') == 'pakistan'?"selected":''}}>Pakistan</option>
                            </select>
                            @error('nationality')
                            <span class="invalid-feedback">{{$message}}</span>
                            @enderror
                        </div>
                        <div class="form-group col-md-6 @if($errors->has('contact_no')) has-error @endif">
                            <input type="tel" value="{{old('contact_no')}}" name="contact_no" class="form-control" id="inputPhoneNumberIndex" placeholder="Phone Number (+1-1111-0000-221)">
                            @error('contact_no')
                            <span class="invalid-feedback">{{$message}}</span>
                            @enderror
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6 @if($errors->has('subject')) has-error @endif">
                            <select class="form-control select2" name="subject" data-placeholder="Interested Subject" id="inputCategoryIndex">
                                <option value=""></option>
                                @foreach($subjects as $subject)
                                    <option value="{{$subject->id}}" {{ old('subject') == $subject->id?"selected":''}}>{{$subject->name}}</option>
                                @endforeach
                            </select>
                            @error('subject')
                            <span class="invalid-feedback">{{$message}}</span>
                            @enderror
                        </div>
                        <div class="form-group col-md-6 @if($errors->has('last_degree')) has-error @endif">
                            <select class="form-control select2" name="last_degree" data-placeholder="Last Degree" id="inputLastDegreeIndex">
                                <option value=""></option>
                                @foreach($degrees as $degree)
                                    <option value="{{$degree->id}}" {{ old('last_degree') == $degree->id?"selected":''}}>{{$degree->name}}</option>
                                @endforeach
                            </select>
                            @error('last_degree')
                            <span class="invalid-feedback">{{$message}}</span>
                            @enderror
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-12 @if($errors->has('destination_country')) has-error @endif">
                            <select class="form-control select2" name="destination_country[]" multiple="multiple" data-placeholder="Destination Country" id="inputDestinationCountryIndex">
                                <option value=""></option>
                                    @foreach( $countries as $country)
                                        <option
                                            value="{{ $country->id }}" {{ (collect(old('destination_country'))->contains($country->id)) ? 'selected':'' }}>{{ $country->name }}</option>
                                    @endforeach
                            </select>
                            @error('destination_country')
                            <span class="invalid-feedback">{{$message}}</span>
                            @enderror
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="form-group col-md-4 @if($errors->has('eng_test')) has-error @endif">
                            <select class="form-control select2" name="eng_test" id="inputEnglishTestInfo">
                                @foreach($eng_test as $test)
                                    <option value="{{$test->id}}" {{ old('eng_test') == $test->id?"selected":''}}>{{$test->name}}</option>
                                @endforeach
                            </select>
                            @error('eng_test')
                            <span class="invalid-feedback">{{$message}}</span>
                            @enderror
                        </div>
                        <div class="form-group col-md-2 @if($errors->has('writing')) has-error @endif">
                            <input type="text" name="writing" value="{{old('writing')}}" class="form-control" id="InputTestScoreWiritingInfo" placeholder="Writing">
                            @error('writing')
                            <span class="invalid-feedback">{{$message}}</span>
                            @enderror
                        </div>
                        <div class="form-group col-md-2 @if($errors->has('reading')) has-error @endif">
                            <input type="text" name="reading" value="{{old('reading')}}" class="form-control" id="InputTestScoreReadingInfo" placeholder="Reading">
                            @error('reading')
                            <span class="invalid-feedback">{{$message}}</span>
                            @enderror
                        </div>
                        <div class="form-group col-md-2 @if($errors->has('speaking')) has-error @endif">
                            <input type="text" name="speaking" value="{{old('speaking')}}" class="form-control" id="InputTestScoreSpeakingInfo" placeholder="Speaking">
                            @error('speaking')
                            <span class="invalid-feedback">{{$message}}</span>
                            @enderror
                        </div>
                        <div class="form-group col-md-2 @if($errors->has('listening')) has-error @endif">
                            <input type="text" name="listening" value="{{old('listening')}}" class="form-control" id="InputTestScoreListeningInfo" placeholder="Listening">
                            @error('listening')
                            <span class="invalid-feedback">{{$message}}</span>
                            @enderror
                        </div>

                    </div>
                    <div class="form-row mt-3 w-100">
                        <div class="form-group ml-auto mr-auto">
                            <button type="submit" class="basic-btn">Search</button>
                        </div>
                    </div>
                </div>
            </form>
            <!--/find university form-->
            </div>
        </div>
    </main>
@endsection
<script>
    var $slider = $("#slider");
    var $fill = $(".bar .fill");

    function setBar() {
        $fill.css("width", $slider.val() + "%");
        $('#filter').text($slider.val() + 0 + 'k');
    }
    $slider.on("input", setBar);
    setBar();


</script>
@section('footer')
    @include('student.footer')
@endsection
