<?php
//jFDVHfhFfXjDHxzsJThE

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route::redirect('/', '/login')->name('user.login');

Auth::routes(['reset'=>true]);

Route::get('/config-cahce',function(){
    return Artisan::call('config:cache');

});

/*
|--------------------------------------------------------------------------
| Super Admin Routes
|--------------------------------------------------------------------------
*/
Route::namespace("SuperAdmin")->middleware(['auth','super_admin'])->group(function (){


    /*
    |--------------------------------------------------------------------------
    | Home Page
    |--------------------------------------------------------------------------
    |
    | Displaying agents list on Super Admin's home page
    |
    */
    Route::view('/super-admin-dashboard','admins_list_view_page',
        ['role_id'=>3,'title'=>'Admins List'])
        ->name('super_admin.dashboard');


    /*
    |--------------------------------------------------------------------------
    | Students list
    |--------------------------------------------------------------------------
    |
    | This route is using for displaying students record
    | Only those student will display or searchable hear which are not registered by any AGENT
    |
    */
    Route::view('/super-admin/search-students','super_admin.students')
        ->name('super_admin.students_list');

    /*
    |--------------------------------------------------------------------------
    | Students list
    |--------------------------------------------------------------------------
    |
    | This route is using for displaying students record
    | Only those student will display or searchable hear which are registered by selected AGENT
    |
    */
    Route::get('/super-admin/search-agents-students/{id?}',function ($id = 0){
        return view('super_admin.students',['id'=>$id]);
    })->name('super_admin.agent_students_list');

    /*
    |--------------------------------------------------------------------------
    | Students Info
    |--------------------------------------------------------------------------
    |
    | This route is using for displaying students details.
    | This route required 1 get parameter which is student id to find student.
    |
    */
    Route::get('/super-admin-dashboard/user-info/{id?}', 'DashboardController@studentsInfo')
        ->name('super_admin.update_user_info');

    /*
    |--------------------------------------------------------------------------
    | Students Basic Info & English Test
    |--------------------------------------------------------------------------
    |
    | This route is using for update student basic info like name,dob,gender etc & English text record.
    | All the field are required in this form to submit except student photo.
    |
    */
    Route::post('/super-admin-dashboard/update','DashboardController@updateStudent')
        ->name('super_admin.update');

    /*
    |--------------------------------------------------------------------------
    | Education History
    |--------------------------------------------------------------------------
    |
    | This route is using for update student education history.
    |
    */
    Route::post('/super-admin/update-education-history','DashboardController@updateEducationHistory')
        ->name('super_admin.update_education_history');

    /*
    |--------------------------------------------------------------------------
    | Additional Education
    |--------------------------------------------------------------------------
    |
    | This route is using for update student additional education.
    |
    */
    Route::post('/super-admin/update-additional-education','DashboardController@updateAdditionalEducation')
        ->name('super_admin.update_additional_education');

    /*
    |--------------------------------------------------------------------------
    | Employment History
    |--------------------------------------------------------------------------
    |
    | This route is using for update student employment history.
    |
    */

    Route::post('/super-admin/update-employment-history','DashboardController@updateEmploymentHistory')
        ->name('super_admin.update_employment_history');

//    --------------------------------------------------

    /*
    |--------------------------------------------------------------------------
    | Admins List View Page
    |--------------------------------------------------------------------------
    |
    | All these routes are using one layout(admins_list_view_page) for all the admins list view page.
    | And just change the content of this layout by using role_id. Which i pass int view.
    | role_id = 2 (Displaying Admins List in content section)
    | role_id = 3 (Displaying Agents List in content section)
    | role_id = 4 (Displaying Employs List in content section)
    |
    */

    Route::view('/super-admin/admins-list','admins_list_view_page',
        ['role_id'=>2])
        ->name('super_admin.admins_list');

    Route::view('/super-admin/agents-list','admins_list_view_page',
        ['role_id'=>3])
        ->name('super_admin.agents_list');

    Route::view('/super-admin/employs-list','admins_list_view_page',
        ['role_id'=>4])
        ->name('super_admin.employs_list');


    /*
    |--------------------------------------------------------------------------
    | Real Time Search Admin's List
    |--------------------------------------------------------------------------
    |
    | These routes search the target admin's list and convert to JSON object.
    | And return to AJAX request for realtime searching.
    |
    */

    Route::post('/super-admin/search-admins','AdminManagerController@searchAdmins')
        ->name('super_admin.search_admins');

    Route::post('/super-admin/search-agents','AdminManagerController@searchAgents')
        ->name('super_admin.search_agents');

    Route::post('/super-admin/search_employs','AdminManagerController@searchEmploys')
        ->name('super_admin.search_employs');

//    --------------------------------------------------------------------------

    /*
    |--------------------------------------------------------------------------
    | Show Create Admin Form
    |--------------------------------------------------------------------------
    | All there routes required 2 parameter
    | 1: Title (selected admin type)
    | 2: path (Just pass the route name which create selected admin)
    |
    */

    Route::view('/super-admin/register-admin','create_admin_view_page',
        ['title'=>'Add Admin','path'=>'super_admin.create_admin'])
        ->name('super_admin.register_admin');

    Route::view('/super-admin/register-agent','create_admin_view_page',
        ['title'=>'Add Agent','path'=>'super_admin.create_agent'])
        ->name('super_admin.register_agent');

    Route::view('/super-admin/register-employ','create_admin_view_page',
        ['title'=>'Add Employ','path'=>'super_admin.create_employ'])
        ->name('super_admin.register_employ');


//    Create Admin
    Route::post('/super-admin/create-admin','AdminManagerController@createAdmin')
        ->name('super_admin.create_admin');

//    Create Agent
    Route::post('/super-admin/create-agent','AdminManagerController@createAgent')
        ->name('super_admin.create_agent');

//    Create Employ
    Route::post('/super-admin/create-employ','AdminManagerController@createEmploy')
        ->name('super_admin.create_employ');


//    Update Student Status
    Route::post('/super-admin/update-status','AdminManagerController@updateStatus')
        ->name('super_admin.update_status');
});


/*
|--------------------------------------------------------------------------
| Admin Routes
|--------------------------------------------------------------------------
*/
Route::namespace("Admin")->middleware(['auth','admin'])->group(function (){

    /*
    |--------------------------------------------------------------------------
    | Home Page
    |--------------------------------------------------------------------------
    |
    | Displaying agents list on Admin's home page
    |
    */

    Route::view('/admin-dashboard','admins_list_view_page',['role_id'=>3])
        ->name('admin.dashboard');

    /*
    |--------------------------------------------------------------------------
    | Students list
    |--------------------------------------------------------------------------
    |
    | This route is using for displaying students record
    | Only those student will display or searchable hear which are not registered by any AGENT
    |
    */
    Route::get('/admin/students-list','DashboardController@index')
        ->name('admin.students_list');

    /*
    |--------------------------------------------------------------------------
    | Students list
    |--------------------------------------------------------------------------
    |
    | This route is using for displaying students record
    | Only those student will display or searchable hear which are registered by any selected AGENT
    |
    */
    Route::get('/admin/search-agents-students/{id?}',function ($id = 0){
        return view('admin.students',['id'=>$id]);
    })->name('admin.agent_students_list');


    /*
    |--------------------------------------------------------------------------
    | Students Info
    |--------------------------------------------------------------------------
    |
    | This route is using for displaying students details.
    | This route required 1 get parameter which is student id to find student.
    |
    */
    Route::get('/admin-dashboard/user-info/{id?}', 'DashboardController@studentsInfo')
        ->name('admin.update_user_info');

    /*
    |--------------------------------------------------------------------------
    | Students Basic Info & English Test
    |--------------------------------------------------------------------------
    |
    | This route is using for update student basic info like name,dob,gender etc & English text record.
    | All the field are required in this form to submit except student photo.
    |
    */
    Route::post('/admin-dashboard/update','DashboardController@updateStudent')
        ->name('admin.update');

    /*
    |--------------------------------------------------------------------------
    | Education History
    |--------------------------------------------------------------------------
    |
    | This route is using for update student education history.
    |
    */
    Route::post('/admin/update-education-history','DashboardController@updateEducationHistory')
        ->name('admin.update_education_history');

    /*
    |--------------------------------------------------------------------------
    | Additional Education
    |--------------------------------------------------------------------------
    |
    | This route is using for update student additional education.
    |
    */
    Route::post('/admin/update-additional-education','DashboardController@updateAdditionalEducation')
        ->name('admin.update_additional_education');

    /*
    |--------------------------------------------------------------------------
    | Employment History
    |--------------------------------------------------------------------------
    |
    | This route is using for update student employment history.
    |
    */
    Route::post('/admin/update-employment-history','DashboardController@updateEmploymentHistory')
        ->name('admin.update_employment_history');

//    --------------------------------------------------

    /*
    |--------------------------------------------------------------------------
    | Admins List View Page
    |--------------------------------------------------------------------------
    |
    | All these routes are using one layout(admins_list_view_page) for all the admins list view page.
    | And just change the content of this layout by using role_id. Which i pass in view.
    | role_id = 3 (Displaying Agents List in content section)
    | role_id = 4 (Displaying Employs List in content section)
    |
    */

    Route::view('/admin/agents-list','admins_list_view_page',['role_id'=>3])
        ->name('admin.agents_list');

    Route::view('/admin/employs-list','admins_list_view_page',['role_id'=>4])
        ->name('admin.employs_list');


    /*
    |--------------------------------------------------------------------------
    | Real Time Search Admin's List
    |--------------------------------------------------------------------------
    |
    | These routes search the target admin's list and convert to JSON object.
    | And return to AJAX request for realtime searching.
    |
    */

    Route::post('/admin/search-agents','AdminManagerController@searchAgents')
        ->name('admin.search_agents');

    Route::post('/admin/search_employs','AdminManagerController@searchEmploys')
        ->name('admin.search_employs');

//    --------------------------------------------------------------------------

    /*
    |--------------------------------------------------------------------------
    | Show Create Admin Form
    |--------------------------------------------------------------------------
    | All there routes required 2 parameter
    | 1: Title (Target admin type)
    | 2: path (Just pass the route name which create target admin)
    |
    */

    Route::view('/admin/register-agent','create_admin_view_page',
        ['title'=>'Add Agent','path'=>'admin.create_agent'])
        ->name('admin.register_agent');

    Route::view('/admin/register-employ','create_admin_view_page',
        ['title'=>'Add Employ','path'=>'admin.create_employ'])
        ->name('admin.register_employ');


//    Create Agent
    Route::post('/admin/create-agent','AdminManagerController@createAgent')
        ->name('admin.create_agent');

//    Create Employ
    Route::post('/admin/create-employ','AdminManagerController@createEmploy')
        ->name('admin.create_employ');


//    -----------------------------------------------------------------
//    Update Status
    Route::post('/admin/update-status','AdminManagerController@updateStatus')
        ->name('admin.update_status');

});


/*
|--------------------------------------------------------------------------
| Agent Routes
|--------------------------------------------------------------------------
*/
Route::namespace("Agent")->middleware(['auth','agent'])->group(function (){

    /*
    |--------------------------------------------------------------------------
    | Home Page
    |--------------------------------------------------------------------------
    |
    | Displaying Student of active agent in home page
    |
    */
    Route::get('/agent-dashboard','DashboardController@index')
        ->name('agent.dashboard');


    /*
    |--------------------------------------------------------------------------
    | Students Info
    |--------------------------------------------------------------------------
    |
    | This route is using for displaying students details.
    | This route required 1 get parameter which is student id to find student.
    |
    */
    Route::get('/agent-dashboard/user-info/{id?}', 'DashboardController@studentsInfo')
        ->name('agent.update_user_info');

    /*
    |--------------------------------------------------------------------------
    | Students Basic Info & English Test
    |--------------------------------------------------------------------------
    |
    | This route is using for update student basic info like name,dob,gender etc & English text record.
    | All the field are required in this form to submit except student photo.
    |
    */
    Route::post('/agent-dashboard/update','DashboardController@updateStudent')
        ->name('agent.update');

    /*
    |--------------------------------------------------------------------------
    | Education History
    |--------------------------------------------------------------------------
    |
    | This route is using for update student education history.
    |
    */
    Route::post('/agent/update-education-history','DashboardController@updateEducationHistory')
        ->name('agent.update_education_history');

    /*
    |--------------------------------------------------------------------------
    | Additional Education
    |--------------------------------------------------------------------------
    |
    | This route is using for update student additional education.
    |
    */
    Route::post('/agent/update-additional-education','DashboardController@updateAdditionalEducation')
        ->name('agent.update_additional_education');

    /*
    |--------------------------------------------------------------------------
    | Employment History
    |--------------------------------------------------------------------------
    |
    | This route is using for update student employment history.
    |
    */
    Route::post('/agent/update-employment-history','DashboardController@updateEmploymentHistory')
        ->name('agent.update_employment_history');

});


/*
|--------------------------------------------------------------------------
| Employs Routes
|--------------------------------------------------------------------------
*/
Route::namespace("Employ")->middleware(['auth','employ'])->group(function (){
    Route::get('/employ-dashboard',function (){
        return '<form action="'.route('logout').'" method="POST">'.csrf_field().' <button type="submit">Logot</button></form>';
    })->name('employ.dashboard');
});


/*
|--------------------------------------------------------------------------
| Students Routes
|--------------------------------------------------------------------------
*/
Route::namespace("Student")->middleware(['auth','student'])->group(function (){

    /*
    |--------------------------------------------------------------------------
    | Displaying student details
    |--------------------------------------------------------------------------
    */
    Route::get('/student-dashboard','DashboardController@index')
        ->name('student.dashboard');

    /*
    |--------------------------------------------------------------------------
    | Update Student Basic Info & English Test
    |--------------------------------------------------------------------------
    */
    Route::post('/student-dashboard/update','DashboardController@updateStudent')
        ->name('student.update');

    /*
    |--------------------------------------------------------------------------
    | Update Student Education History
    |--------------------------------------------------------------------------
    */
    Route::post('/student/update-education-history','DashboardController@updateEducationHistory')
        ->name('student.update_education_history');

    /*
    |--------------------------------------------------------------------------
    | Update Student Additional Education
    |--------------------------------------------------------------------------
    */
    Route::post('/student/update-additional-education','DashboardController@updateAdditionalEducation')
        ->name('student.update_additional_education');

    /*
    |--------------------------------------------------------------------------
    | Update Student Employment History
    |--------------------------------------------------------------------------
    */
    Route::post('/student/update-employment-history','DashboardController@updateEmploymentHistory')
        ->name('student.update_employment_history');


    /*
    |--------------------------------------------------------------------------
    | Select Program
    |--------------------------------------------------------------------------
    */
    Route::post('/student/update-program','DashboardController@updateProgram')
        ->name('student.update_program');

    /*
    |--------------------------------------------------------------------------
    | Lock Student Form
    |--------------------------------------------------------------------------
    */

    Route::get('/student/lock','DashboardController@lock')->name('student.lock');
});


// -------------------------------------------------------------------------------------

//Common functions for diffrent  routes
//search student
Route::post('/super-admin/search-student','HomeController@searchStudent')
    ->middleware(['auth','super_admin'])->name('super_admin.search_student');

Route::post('/admin/search-student','HomeController@searchStudent')
    ->middleware(['auth','admin'])->name('admin.search_student');

Route::post('/agent/search-student','HomeController@searchStudent')
    ->middleware(['auth','agent'])->name('agent.search_student');

// -------------------------------------------------------------------------------------

//  Find Programs Form
Route::get('/','HomeController@index')->name('search_program');


//  Search Program
Route::post('/submit-query','HomeController@findPrograms')->name('find_programs');


//  Program Search Result
Route::get('/institute-listing','ListingsController@index')->name('institute_listing');

//  Program Ajax Search Result
Route::post('/search-institute-listing','ListingsController@SearchPrograms')->name('ajax.search_programs');

// Submit Selected Programs
Route::post('/submit-programs','ListingsController@submitPrograms')->name('submit_programs');


Route::get('/wish-list','ListingsController@wishListProgram')->name('wish_list');

Route::post('/add-to-wish-list','ListingsController@updateWishlist')->name('program.wish_list');


Route::group(['prefix' => 'admin'], function () {
    Voyager::routes();
});
